Summary: Completely configurable key-combo grabber for blackbox
Name: bbkeys
Version: 0.9.0
Release: 11
License: MIT
Group: User Interface/Desktops
URL: http://bbkeys.sourceforge.net/
Source: http://downloads.sf.net/bbkeys/bbkeys-%{version}.tar.gz
Patch0: bbkeys-0.9.0-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: blackbox-devel
BuildRequires: libX11-devel, libXext-devel

%description
bbkeys is a configurable key-grabber designed for the blackbox window manager
which is written by Brad Hughes.  It is based on the bbtools object code
created by John Kennis and re-uses some of the blackbox window manager classes
as well.  bbkeys is easily configurable via directly hand-editing the user's
~/.bbkeysrc file, or by using the GUI total blackbox configurator, bbconf.


%prep
%setup -q
%patch0 -p1 -b .gcc43


%build
%configure --datadir=%{_sysconfdir}
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
# Clean this up, we package the exact same files cleanly in %%doc
# and it ends up in the wrong place with our override anyway
%{__rm} -rf %{buildroot}%{_sysconfdir}/doc/


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog LICENSE NEWS README TODO
%dir %{_sysconfdir}/bbkeys/
%config(noreplace) %{_sysconfdir}/bbkeys/bbkeysrc
%config(noreplace) %{_sysconfdir}/bbkeys/defaultStyle
%{_bindir}/bbkeys
%{_mandir}/man1/bbkeys.1*
%{_mandir}/man5/bbkeysrc.5*


%changelog
* Sun Feb 24 2008 Matthias Saou <http://freshrpms.net/> 0.9.0-11
- Include patch to fix build failure with gcc 4.3.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.9.0-9
- Rebuild for new BuildID feature.

* Fri Aug  3 2007 Matthias Saou <http://freshrpms.net/> 0.9.0-8
- Fix License field, it was "GPL" but should have been "MIT" all along.
- Remove dist tag, since the package will seldom change.

* Tue Jun 19 2007 Matthias Saou <http://freshrpms.net/> 0.9.0-7
- Remove old X build requires conditional.

* Thu Mar 29 2007 Matthias Saou <http://freshrpms.net/> 0.9.0-6
- Override _datadir as _sysconfdir to get config files in /etc.
- Mark config files as noreplace.
- Rebuild against new shared libbt from blackbox.
- Switch to use downloads.sf.net source URL.
- Tweak defattr, silence %%setup.
- Escape macros in %%changelog.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.9.0-5
- FC6 rebuild.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 0.9.0-4
- FC5 rebuild.

* Wed Feb  8 2006 Matthias Saou <http://freshrpms.net/> 0.9.0-3
- Rebuild for new gcc/glibc.

* Mon Jan 23 2006 Matthias Saou <http://freshrpms.net/> 0.9.0-2
- Add conditional to build with/without modular X depending on FC version.

* Fri Apr  1 2005 Matthias Saou <http://freshrpms.net/> 0.9.0-1
- Update to 0.9.0.

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.8.6-4
- Bump release to provide Extras upgrade path.

* Tue May 18 2004 Matthias Saou <http://freshrpms.net/> 0.8.6-3
- Rebuild for Fedora Core 2.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 0.8.6-3
- Rebuild for Fedora Core 1.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Thu Mar  6 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.8.6.

* Tue Aug 13 2002 Matthias Saou <http://freshrpms.net/>
- Spec file cleanup.

* Sat Jan 12 2002 Jason 'vanRijn' Kasper <vR@movingparts.net>
- removing README.bbkeys and adding BUGS and NEWS

* Sat Jan 5 2002 Jason 'vanRijn' Kasper <vR@movingparts.net>
- gzipping man pages by default and changing file list to reflect this

* Mon Nov 5 2001 Jason 'vanRijn' Kasper <vR@movingparts.net>
- removing bbkeysConfigC and replacing with bbkeysconf.pl

* Tue Sep 18 2001 Jason Kasper <vR@movingparts.net>
- changing to a dynamically-created bbkeys.spec

* Sun Aug 5 2001 Jason Kasper <vR@movingparts.net>
- added to file list for newly included files (docs and man pages)
- install to %%{prefix} instead of /usr

* Sun May 6 2001 Hollis Blanchard <hollis@terraplex.com>
- removed file list in favor of explicit %%files section
- install to /usr instead of /usr/local
- buildroot = /var/tmp/bbkeys-buildroot instead of /tmp/buildroot

